Update the metadata attributes of a hosted asset Obsoleto

PATCH /groups/{groupId}/apps/{appId}/hosting/assets/asset

Update the metadata attributes of a hosted asset at a specific resource path.

Parámetros de path

Parámetros de query

  • ruta string Requerido

    La ruta de recursos de un activo alojado.

aplicación/json

Cuerpo Requerido

The new metadata attributes for the hosted asset. These attributes replace all existing attributes for the file.

Respuestas

  • 204

    El activo alojado se ha actualizado correctamente.

  • 400 aplicación/json

    There is an error in the request.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Error string

      Un mensaje que describe el error.

    • error_code string

      El tipo de error.

PATCH /groups/{groupId}/apps/{appId}/hosting/assets/asset
curl \
 --request PATCH 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/hosting/assets/asset?path=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"attributes":[{"name":"string","value":"string"}]}'
Solicitar ejemplos
{
  "attributes": [
    {
      "name": "string",
      "value": "string"
    }
  ]
}
Ejemplos de respuestas (400)
{
  "error": "string",
  "error_code": "string"
}